<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:32 CEST 2019 -->
<title>refinement.model.refinements.presentation Class Hierarchy</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="refinement.model.refinements.presentation Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/impl/package-tree.html">Prev</a></li>
<li><a href="../../../../refinement/model/refinements/provider/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/presentation/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package refinement.model.refinements.presentation</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider (implements org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.ui.views.properties.IPropertySourceProvider, org.eclipse.jface.viewers.ITreeContentProvider)
<ul>
<li type="circle">refinement.model.refinements.presentation.<a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.ReverseAdapterFactoryContentProvider.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsEditor.ReverseAdapterFactoryContentProvider</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.common.util.DelegatingResourceLocator (implements org.eclipse.emf.common.util.ResourceLocator)
<ul>
<li type="circle">org.eclipse.emf.common.EMFPlugin (implements org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator)
<ul>
<li type="circle">refinement.model.refinements.presentation.<a href="../../../../refinement/model/refinements/presentation/RefinementsEditorPlugin.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsEditorPlugin</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.jface.dialogs.DialogPage (implements org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider)
<ul>
<li type="circle">org.eclipse.jface.wizard.WizardPage (implements org.eclipse.jface.wizard.IWizardPage)
<ul>
<li type="circle">refinement.model.refinements.presentation.<a href="../../../../refinement/model/refinements/presentation/RefinementsModelWizard.RefinementsModelWizardInitialObjectCreationPage.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsModelWizard.RefinementsModelWizardInitialObjectCreationPage</span></a></li>
<li type="circle">org.eclipse.ui.dialogs.WizardNewFileCreationPage (implements org.eclipse.swt.widgets.Listener)
<ul>
<li type="circle">refinement.model.refinements.presentation.<a href="../../../../refinement/model/refinements/presentation/RefinementsModelWizard.RefinementsModelWizardNewFileCreationPage.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsModelWizard.RefinementsModelWizardNewFileCreationPage</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.ui.part.EditorActionBarContributor (implements org.eclipse.ui.IEditorActionBarContributor)
<ul>
<li type="circle">org.eclipse.ui.part.MultiPageEditorActionBarContributor
<ul>
<li type="circle">org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor (implements org.eclipse.jface.action.IMenuListener, org.eclipse.ui.IPropertyListener)
<ul>
<li type="circle">refinement.model.refinements.presentation.<a href="../../../../refinement/model/refinements/presentation/RefinementsActionBarContributor.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsActionBarContributor</span></a> (implements org.eclipse.jface.viewers.ISelectionChangedListener)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.core.commands.common.EventManager
<ul>
<li type="circle">org.eclipse.ui.part.WorkbenchPart (implements org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation)
<ul>
<li type="circle">org.eclipse.ui.part.EditorPart (implements org.eclipse.ui.IEditorPart)
<ul>
<li type="circle">org.eclipse.ui.part.MultiPageEditorPart (implements org.eclipse.jface.dialogs.IPageChangeProvider)
<ul>
<li type="circle">refinement.model.refinements.presentation.<a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsEditor</span></a> (implements org.eclipse.emf.edit.domain.IEditingDomainProvider, org.eclipse.ui.ide.IGotoMarker, org.eclipse.jface.action.IMenuListener, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.emf.common.ui.viewer.IViewerProvider)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.core.runtime.Plugin (implements org.osgi.framework.BundleActivator)
<ul>
<li type="circle">org.eclipse.ui.plugin.AbstractUIPlugin
<ul>
<li type="circle">org.eclipse.emf.common.ui.EclipseUIPlugin (implements org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator)
<ul>
<li type="circle">refinement.model.refinements.presentation.<a href="../../../../refinement/model/refinements/presentation/RefinementsEditorPlugin.Implementation.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsEditorPlugin.Implementation</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.jface.wizard.Wizard (implements org.eclipse.jface.wizard.IWizard)
<ul>
<li type="circle">refinement.model.refinements.presentation.<a href="../../../../refinement/model/refinements/presentation/RefinementsModelWizard.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsModelWizard</span></a> (implements org.eclipse.ui.INewWizard)</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/impl/package-tree.html">Prev</a></li>
<li><a href="../../../../refinement/model/refinements/provider/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/presentation/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
